Skip to main content
GET
/
retailers
/
api
/
v1
/
offers
/
{offer_id}
Get offer
curl --request GET \
  --url https://www.closient.com/retailers/api/v1/offers/{offer_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "retailer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sku": "",
  "url": "",
  "price": "<string>",
  "price_currency": "USD",
  "status": "active",
  "is_verified": false,
  "source": "manual",
  "quantity_on_hand": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

offer_id
string<uuid>
required

Unique identifier of the offer.

Response

OK

id
string<uuid>
required

Unique offer identifier.

product_id
string<uuid>
required

Product (product) this offer is for.

retailer_id
string<uuid>
required

Retailer selling this product.

organization_id
string<uuid>
required

Organization that owns this offer.

sku
string
default:""

Retailer-specific SKU.

url
string
default:""

URL to the product page on the retailer's site.

price
string | null

Product price.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_currency
string
default:USD

ISO 4217 currency code.

status
string
default:active

Offer status: 'active' or 'inactive'.

is_verified
boolean
default:false

Whether the offer has been verified.

source
string
default:manual

Data source: 'manual', 'feed', or 'scraper'.

quantity_on_hand
integer | null

Current inventory quantity, if known.